## kmscon 9.0.0

=== meson_options.txt ===
option('extra_debug', type: 'boolean', value: false,
  description: 'Additional non-standard debug options')
option('tests', type: 'boolean', value: true,
  description: 'Build unit tests')
option('docs', type: 'feature', value: 'auto',
  description: 'Build documentation')

# multi-seat
option('multi_seat', type: 'feature', value: 'auto',
  description: 'Multi-seat support with systemd')

# video backends
option('video_fbdev', type: 'feature', value: 'auto',
  description: 'fbdev video backend')
option('video_drm2d', type: 'feature', value: 'auto',
  description: 'drm2d video backend')
option('video_drm3d', type: 'feature', value: 'auto',
  description: 'drm3d video backend')

# renderers
option('renderer_bbulk', type: 'feature', value: 'auto',
  description: 'bbulk renderer')
option('renderer_gltex', type: 'feature', value: 'auto',
  description: 'gltex renderer')
option('renderer_pixman', type: 'feature', value: 'auto',
  description: 'pixman renderer')

# font backends
option('font_unifont', type: 'feature', value: 'auto',
  description: 'unifont font backend')
option('font_pango', type: 'feature', value: 'auto',
  description: 'pango font backend')

# kmscon sessions
option('session_dummy', type: 'feature', value: 'auto',
  description: 'dummy session')
option('session_terminal', type: 'feature', value: 'auto',
  description: 'terminal session')

=== debian/changelog ===
kmscon (9.0.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable).

  [ Victor Westerhuis ]
  * Update standards version to 4.6.2, no changes needed.
  * Disable -Werror=array-bounds.

 -- Victor Westerhuis <victor@westerhu.is>  Sun, 29 Jan 2023 20:19:17 +0100

kmscon (9.0.0-3) unstable; urgency=medium

  * Depend on init-system-helpers >= 1.65
  * Fix Built-Using calculation in d/rules
  * Register exception with needrestart (Closes: 1024345)
  * Update d/watch

 -- Victor Westerhuis <victor@westerhu.is>  Sun, 20 Nov 2022 18:39:48 +0100

kmscon (9.0.0-2) unstable; urgency=medium

  * Run agetty instead of login (Closes: #1014316)
  * Bump Standards-Version to 4.6.1

 -- Victor Westerhuis <victor@westerhu.is>  Tue, 05 Jul 2022 16:14:32 +0200

kmscon (9.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1004919)

 -- Victor Westerhuis <victor@westerhu.is>  Sun, 19 Jun 2022 22:43:25 +0200

=== debian/control ===
Source: kmscon
Maintainer: Victor Westerhuis <victor@westerhu.is>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               libdrm-dev,
               libegl-dev,
               libgbm-dev,
               libgles-dev,
               libpango1.0-dev,
               libpixman-1-dev,
               libsystemd-dev,
               libtsm-dev (>= 4.0.0),
               libudev-dev,
               libxkbcommon-dev,
               meson (>= 0.62.0),
               pkg-config,
               python3:any,
               systemd,
               unifont,
               xsltproc <!nodoc>,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/viccie30/kmscon
Vcs-Git: https://salsa.debian.org/viccie30/kmscon.git
Homepage: https://github.com/Aetf/kmscon
Rules-Requires-Root: no

Package: kmscon
Architecture: any
Multi-Arch: foreign
Depends: init-system-helpers (>> 1.65~),
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${Built-Using},
Description: Simple terminal emulator based on Kernel Mode Setting
 kmscon is a system console for Linux. It does not depend on any
 graphics-server on your system (like X.org), but instead provides
 a raw console layer that can  be used independently.
 It can replace the Linux kernel console entirely but was designed to
 work well side-by-side, too.
 Even though initially targeted at providing internationalization to
 the system-console, it has grown into a fully modularized console
 layer including features like multi-head support, internationalized
 font rendering, XKB-compatible keyboard handling,
 hardware-accelerated graphics access and more.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS := qa=+bug hardening=+all reproducible=+all
export DEB_CFLAGS_MAINT_APPEND := -Wno-error=array-bounds


%:
	dh $@ --without single-binary


override_dh_auto_configure:
	dh_auto_configure -- --auto-features=enabled \
	                     -Ddocs=$(if $(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)),disabled,enabled) \
	                     -Dwerror=false \
	                     $(empty)

# The tests are all interactive and/or require root privileges
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# dh_installsystemd does not enable template units, so build maintscripts
# manually from autoscripts.
# This can go once #889635 is fixed.
override_dh_installsystemd:
	printf '#!/bin/sh\nset -e\n\n#DEBHELPER#\n\n' | tee debian/kmscon.postinst debian/kmscon.postrm > /dev/null
	printf 'if [ "$$1" = configure ] && dpkg --compare-versions "$$2" lt-nl "9.0.0-3~"; then\n\trm -f "$$DPKG_ROOT/etc/systemd/system/getty.target.wants/kmsconvt@.service"\nfi\n\n' >> debian/kmscon.postinst
	sed 's/#UNITFILE#/kmsconvt@.service/g' /usr/share/debhelper/autoscripts/postinst-systemd-enable >> debian/kmscon.postinst
	sed 's/#UNITFILES#/kmsconvt@.service/g' /usr/share/debhelper/autoscripts/postrm-systemd >> debian/kmscon.postrm
	cat /usr/share/debhelper/autoscripts/postrm-systemd-reload-only >> debian/kmscon.postrm

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$$(dpkg-query --showformat='$${source:Package} (= $${source:Version})' --show unifont)"

=== debian/watch ===
version=4

opts="searchmode=plain" \
https://api.github.com/repos/Aetf/kmscon/releases?per_page=100 \
https://github.com/Aetf/kmscon/releases/download/[^/]+/kmscon@ANY_VERSION@@ARCHIVE_EXT@

## kmscon 9.1.0

=== debian/changelog ===
kmscon (9.1.0-1) unstable; urgency=medium

  * New upstream release.
    + Fixes virtual console reset on logout. (Closes: #1091429)
  * debian/README.Debian: Write a README file on kmscon usage.
  * debian/patches/0004-Use-correct-systemd-system-unit-directory.patch:
    Dropped, merged upstream.
  * debian/patches/0005-Run-agetty-instead-of-login.patch: Dropped,
    merged upstream and in patch 0001.
  * debian/patches/proposed/dbf7d1e1e589c2cb8cec6f35f275ee972b43d869.patch:
    Add proposed patch to fix a typo in the man page. (Closes: #1098993)
  * debian/patches: Refresh patches.
  * debian/control: Add new build-dep check.
  * debian/kmscon.prerm: Disable the kmsconvt@.service in prerm to ensure
    that /etc/systemd/system/autovt@.service gets removed on package
    removal and getty is restored properly. (Closes: #1061686)

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Jan 2026 21:54:06 -0500

kmscon (9.0.0-6) unstable; urgency=medium

  * Update package maintainership. (Closes: #1124470)
  * debian/: Apply wrap-and-sort -abst.
  * Bump Standards-Version to 4.7.3.
  * Switch upstream to github kmscon/kmscon. (Closes: #1116621)
  * debian/control: Use updated Vcs-* fields.
  * debian/control: Replace pkg-config with pkgconf.

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Jan 2026 15:27:06 -0500

kmscon (9.0.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/watch: Fix upstream monitoring. (Closes: #1110927)

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Dec 2025 19:03:10 -0500

kmscon (9.0.0-5) unstable; urgency=medium

  * Stop using undocumented autoscripts in d/rules.
  * Use dh_builtusing to generate Built-Using dependency on unifont.
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir.
    Thanks to Helmut Grohne. (Closes: 1052644)

 -- Victor Westerhuis <victor@westerhu.is>  Mon, 04 Dec 2023 14:55:05 +0100

=== debian/control ===
Source: kmscon
Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Victor Westerhuis <victor@westerhu.is>,
Section: utils
Build-Depends:
 check,
 debhelper-compat (= 13),
 dh-sequence-builtusing,
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 libdrm-dev,
 libegl-dev,
 libgbm-dev,
 libgles-dev,
 libpango1.0-dev,
 libpixman-1-dev,
 libsystemd-dev,
 libtsm-dev (>= 4.1.0),
 libudev-dev,
 libxkbcommon-dev,
 meson (>= 1.1),
 pkgconf,
 python3:any,
 systemd-dev,
 unifont,
 xsltproc <!nodoc>,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/kmscon
Vcs-Git: https://salsa.debian.org/debian/kmscon.git
Homepage: https://github.com/kmscon/kmscon
Description: Simple terminal emulator based on Kernel Mode Setting
 kmscon is a system console for Linux. It does not depend on any
 graphics-server on your system (like X.org), but instead provides
 a raw console layer that can  be used independently.
 It can replace the Linux kernel console entirely but was designed to
 work well side-by-side, too.
 Even though initially targeted at providing internationalization to
 the system-console, it has grown into a fully modularized console
 layer including features like multi-head support, internationalized
 font rendering, XKB-compatible keyboard handling,
 hardware-accelerated graphics access and more.

Package: kmscon
Architecture: any
Multi-Arch: foreign
Depends:
 init-system-helpers (>> 1.65~),
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${dh-builtusing:unifont},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## kmscon 9.2.1

=== debian/changelog ===
kmscon (9.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1061691, #1121924, #1123930)
  * debian/control: Explicitly depends on binary package login due
    to it no longer being Essential: yes. (Closes: #1074093)
  * debian/control: Bump requirement of libtsm to v4.3+.
  * debian/control: Drop build-dep on libpixman-1-dev.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Jan 2026 20:27:25 -0500

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,8 @@
  libgbm-dev,
  libgles-dev,
  libpango1.0-dev,
- libpixman-1-dev,
  libsystemd-dev,
- libtsm-dev (>= 4.1.0),
+ libtsm-dev (>= 4.3),
  libudev-dev,
  libxkbcommon-dev,
  meson (>= 1.1),
@@ -46,6 +45,7 @@
 Multi-Arch: foreign
 Depends:
  init-system-helpers (>> 1.65~),
+ login,
  ${misc:Depends},
  ${shlibs:Depends},
 Built-Using:

## kmscon 9.3.0

=== debian/changelog ===
kmscon (9.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/proposed/*: Dropped, merged upstream.
  * debian/patches/0004-Revert-libtsm-4.4.0-required-code-changes.patch:
    Do not require new libtsm before we have that available in Debian.
  * debian/patches/: Refresh patches.
  * debian/kmscon.install: Use dh-exec to install the example config file
    as /etc/kmscon.conf.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Jan 2026 15:03:56 -0500

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  check,
  debhelper-compat (= 13),
+ dh-exec,
  dh-sequence-builtusing,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: kmscon
Project: kmscon

## kmscon 9.3.1

=== debian/changelog ===
kmscon (9.3.1-3) unstable; urgency=medium

  * debian/patches/backport/*.patch: Add patch from upstream trunk
    to properly install the man page for kmscon.conf into section 5.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Feb 2026 19:33:42 -0500

kmscon (9.3.1-2) unstable; urgency=medium

  * debian/copyright: Use SPDX canonical license names.
  * Manually trigger rebuild for ppc64el issue in Ubuntu.
  * debian/man/kmscon-launch-gui.1: Add extra man page for the
    kmscon-launch-gui tool.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 00:04:12 -0500

kmscon (9.3.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.
  * debian/control: Bump libtsm version dependency.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Feb 2026 18:26:03 -0500

## kmscon 9.3.2

=== debian/changelog ===
kmscon (9.3.2-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Feb 2026 09:22:31 -0500

kmscon (9.3.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/backport/*: Dropped, useless.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Feb 2026 23:56:52 -0500

kmscon (9.3.0-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Feb 2026 15:51:17 -0500

kmscon (9.2.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Jan 2026 10:28:16 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libgles-dev,
  libpango1.0-dev,
  libsystemd-dev,
- libtsm-dev (>= 4.3),
+ libtsm-dev (>= 4.4.1),
  libudev-dev,
  libxkbcommon-dev,
  meson (>= 1.1),
